### Constructor

# Gsk OpacityNodenew

#### Declaration [src]

    GskRenderNode*
    gsk_opacity_node_new (
      GskRenderNode* child,
      float opacity
    )

#### Description [src]

Creates a `GskRenderNode` that will drawn the `child` with reduced `opacity`.

#### Parameters

`child`

  Type: `GskRenderNode`

  The node to draw.

  The data is owned by the caller of the function.

`opacity`

  Type: `float`

  The opacity to apply.

#### Return value

Type: `GskOpacityNode`

A new `GskRenderNode`

The caller of the function takes ownership of the data, and is responsible for freeing it.